<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:17 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HwMemoryPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwMemoryPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwMemoryPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwRAM.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="HwMemoryPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory</div>
<h2 title="Interface HwMemoryPackage.Literals" class="title">Interface HwMemoryPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory">HwMemoryPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">HwMemoryPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EDataType</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#CACHE_STRUCTURE">CACHE_STRUCTURE</a></span></code>
<div class="block">The meta object literal for the '<em>Cache Structure</em>' data type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#CACHE_TYPE">CACHE_TYPE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/CacheType.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code><em>Cache Type</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_CACHE">HW_CACHE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwCacheImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw Cache</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_CACHE__LEVEL">HW_CACHE__LEVEL</a></span></code>
<div class="block">The meta object literal for the '<em><b>Level</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_CACHE__REPL_POLICY">HW_CACHE__REPL_POLICY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Repl Policy</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_CACHE__STRUCTURE">HW_CACHE__STRUCTURE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Structure</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_CACHE__TYPE">HW_CACHE__TYPE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Type</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_CACHE__WRITE_POLICY">HW_CACHE__WRITE_POLICY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Write Policy</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_DRIVE">HW_DRIVE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwDriveImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw Drive</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_DRIVE__BUFFER">HW_DRIVE__BUFFER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Buffer</b></em>' containment reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_DRIVE__SECTOR_SIZE">HW_DRIVE__SECTOR_SIZE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Sector Size</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_MEMORY">HW_MEMORY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw Memory</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_MEMORY__ADRESS_SIZE">HW_MEMORY__ADRESS_SIZE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Adress Size</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_MEMORY__MEMORY_SIZE">HW_MEMORY__MEMORY_SIZE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Memory Size</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_MEMORY__THROUGHPUT">HW_MEMORY__THROUGHPUT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Throughput</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_MEMORY__TIMINGS">HW_MEMORY__TIMINGS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Timings</b></em>' attribute list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_RAM">HW_RAM</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwRAMImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw RAM</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_RAM__IS_NON_VOLATILE">HW_RAM__IS_NON_VOLATILE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Is Non Volatile</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_RAM__IS_STATIC">HW_RAM__IS_STATIC</a></span></code>
<div class="block">The meta object literal for the '<em><b>Is Static</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_RAM__IS_SYNCHRONOUS">HW_RAM__IS_SYNCHRONOUS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Is Synchronous</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_RAM__ORGANIZATION">HW_RAM__ORGANIZATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Organization</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_RAM__REPL_POLICY">HW_RAM__REPL_POLICY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Repl Policy</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_RAM__WRITE_POLICY">HW_RAM__WRITE_POLICY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Write Policy</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_ROM">HW_ROM</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwROMImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw ROM</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_ROM__ORGANIZATION">HW_ROM__ORGANIZATION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Organization</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#HW_ROM__TYPE">HW_ROM__TYPE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Type</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EDataType</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#MEMORY_ORGANIZATION">MEMORY_ORGANIZATION</a></span></code>
<div class="block">The meta object literal for the '<em>Memory Organization</em>' data type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#REPL_POLICY">REPL_POLICY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/Repl_Policy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code><em>Repl Policy</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#ROM_TYPE">ROM_TYPE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/ROM_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code><em>ROM Type</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EDataType</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#TIMING">TIMING</a></span></code>
<div class="block">The meta object literal for the '<em>Timing</em>' data type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html#WRITE_POLICY">WRITE_POLICY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/WritePolicy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code><em>Write Policy</em></code></a>' enum.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="HW_MEMORY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_MEMORY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_MEMORY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw Memory</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code>HwMemoryImpl</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getHwMemory--"><code>HwMemoryPackageImpl.getHwMemory()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_MEMORY__MEMORY_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_MEMORY__MEMORY_SIZE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_MEMORY__MEMORY_SIZE</pre>
<div class="block">The meta object literal for the '<em><b>Memory Size</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_MEMORY__ADRESS_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_MEMORY__ADRESS_SIZE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_MEMORY__ADRESS_SIZE</pre>
<div class="block">The meta object literal for the '<em><b>Adress Size</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_MEMORY__TIMINGS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_MEMORY__TIMINGS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_MEMORY__TIMINGS</pre>
<div class="block">The meta object literal for the '<em><b>Timings</b></em>' attribute list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_MEMORY__THROUGHPUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_MEMORY__THROUGHPUT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_MEMORY__THROUGHPUT</pre>
<div class="block">The meta object literal for the '<em><b>Throughput</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RAM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RAM</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_RAM</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwRAMImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw RAM</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwRAMImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code>HwRAMImpl</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getHwRAM--"><code>HwMemoryPackageImpl.getHwRAM()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_RAM__ORGANIZATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RAM__ORGANIZATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RAM__ORGANIZATION</pre>
<div class="block">The meta object literal for the '<em><b>Organization</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RAM__IS_SYNCHRONOUS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RAM__IS_SYNCHRONOUS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RAM__IS_SYNCHRONOUS</pre>
<div class="block">The meta object literal for the '<em><b>Is Synchronous</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RAM__IS_STATIC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RAM__IS_STATIC</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RAM__IS_STATIC</pre>
<div class="block">The meta object literal for the '<em><b>Is Static</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RAM__IS_NON_VOLATILE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RAM__IS_NON_VOLATILE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RAM__IS_NON_VOLATILE</pre>
<div class="block">The meta object literal for the '<em><b>Is Non Volatile</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RAM__REPL_POLICY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RAM__REPL_POLICY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RAM__REPL_POLICY</pre>
<div class="block">The meta object literal for the '<em><b>Repl Policy</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RAM__WRITE_POLICY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RAM__WRITE_POLICY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_RAM__WRITE_POLICY</pre>
<div class="block">The meta object literal for the '<em><b>Write Policy</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_ROM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_ROM</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_ROM</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwROMImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw ROM</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwROMImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code>HwROMImpl</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getHwROM--"><code>HwMemoryPackageImpl.getHwROM()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_ROM__TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_ROM__TYPE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_ROM__TYPE</pre>
<div class="block">The meta object literal for the '<em><b>Type</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_ROM__ORGANIZATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_ROM__ORGANIZATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_ROM__ORGANIZATION</pre>
<div class="block">The meta object literal for the '<em><b>Organization</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_DRIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_DRIVE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_DRIVE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwDriveImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw Drive</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwDriveImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code>HwDriveImpl</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getHwDrive--"><code>HwMemoryPackageImpl.getHwDrive()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_DRIVE__SECTOR_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_DRIVE__SECTOR_SIZE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_DRIVE__SECTOR_SIZE</pre>
<div class="block">The meta object literal for the '<em><b>Sector Size</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_DRIVE__BUFFER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_DRIVE__BUFFER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_DRIVE__BUFFER</pre>
<div class="block">The meta object literal for the '<em><b>Buffer</b></em>' containment reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_CACHE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_CACHE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_CACHE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwCacheImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code><em>Hw Cache</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwCacheImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory.impl"><code>HwCacheImpl</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getHwCache--"><code>HwMemoryPackageImpl.getHwCache()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_CACHE__LEVEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_CACHE__LEVEL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_CACHE__LEVEL</pre>
<div class="block">The meta object literal for the '<em><b>Level</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_CACHE__TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_CACHE__TYPE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_CACHE__TYPE</pre>
<div class="block">The meta object literal for the '<em><b>Type</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_CACHE__STRUCTURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_CACHE__STRUCTURE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_CACHE__STRUCTURE</pre>
<div class="block">The meta object literal for the '<em><b>Structure</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_CACHE__REPL_POLICY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_CACHE__REPL_POLICY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_CACHE__REPL_POLICY</pre>
<div class="block">The meta object literal for the '<em><b>Repl Policy</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_CACHE__WRITE_POLICY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_CACHE__WRITE_POLICY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_CACHE__WRITE_POLICY</pre>
<div class="block">The meta object literal for the '<em><b>Write Policy</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="REPL_POLICY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPL_POLICY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum REPL_POLICY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/Repl_Policy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code><em>Repl Policy</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/Repl_Policy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code>Repl_Policy</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getRepl_Policy--"><code>HwMemoryPackageImpl.getRepl_Policy()</code></a></dd>
</dl>
</li>
</ul>
<a name="WRITE_POLICY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITE_POLICY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum WRITE_POLICY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/WritePolicy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code><em>Write Policy</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/WritePolicy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code>WritePolicy</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getWritePolicy--"><code>HwMemoryPackageImpl.getWritePolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="CACHE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CACHE_TYPE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum CACHE_TYPE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/CacheType.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code><em>Cache Type</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/CacheType.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code>CacheType</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getCacheType--"><code>HwMemoryPackageImpl.getCacheType()</code></a></dd>
</dl>
</li>
</ul>
<a name="ROM_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROM_TYPE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum ROM_TYPE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/ROM_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code><em>ROM Type</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/ROM_Type.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><code>ROM_Type</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getROM_Type--"><code>HwMemoryPackageImpl.getROM_Type()</code></a></dd>
</dl>
</li>
</ul>
<a name="TIMING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TIMING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EDataType TIMING</pre>
<div class="block">The meta object literal for the '<em>Timing</em>' data type.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getTiming--"><code>HwMemoryPackageImpl.getTiming()</code></a></dd>
</dl>
</li>
</ul>
<a name="CACHE_STRUCTURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CACHE_STRUCTURE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EDataType CACHE_STRUCTURE</pre>
<div class="block">The meta object literal for the '<em>Cache Structure</em>' data type.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getCacheStructure--"><code>HwMemoryPackageImpl.getCacheStructure()</code></a></dd>
</dl>
</li>
</ul>
<a name="MEMORY_ORGANIZATION">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MEMORY_ORGANIZATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EDataType MEMORY_ORGANIZATION</pre>
<div class="block">The meta object literal for the '<em>Memory Organization</em>' data type.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/impl/HwMemoryPackageImpl.html#getMemoryOrganization--"><code>HwMemoryPackageImpl.getMemoryOrganization()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwMemoryPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwRAM.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwStorage.HwMemory"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwStorage/HwMemory/HwMemoryPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="HwMemoryPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
